class AttachFile < ActiveRecord::Base
  has_many :partners, :through => :attach_file_refs
  has_many :invoices, :through => :attach_file_refs
  belongs_to :created_by, :foreign_key => 'created_by', :class_name => 'User'
  belongs_to :attach_kind
  belongs_to :division
end


# TODO: バイナリデータをいちいち取得しない
# http://www.simplegimmick.com/2007/09/acts-as-blob/
