class ControlDivision < ActiveRecord::Base
  acts_as_nested_set
  has_many :controllers_divisions
  has_many :divisions, :through => :controllers_divisions
  
  def self.roots
    find :all, :conditions => 'parent_id IS NULL'
  end
end
