-- 取引先（販売先、仕入先の両方をかねる）
-- リーガルエンティティを表す。
CREATE TABLE partners (
  id           serial      PRIMARY KEY,
  name         VARCHAR(60) NOT NULL,
  kana_name    VARCHAR(60) NOT NULL,
  zaimu_id     int NOT NULL UNIQUE, -- 財務大将の取引先コード。
                                  -- 振込先口座がないときがあるので、こちらからも参照。
  remarks      TEXT NOT NULL,       -- コメント

  created_at   TIMESTAMP NOT NULL,
  updated_at   TIMESTAMP,
  updated_by   int REFERENCES users(id),
  lock_version int NOT NULL
);
