require File.dirname(__FILE__) + '/../test_helper'

class ImportDeclarationsControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:import_declarations)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_import_declaration
    assert_difference('ImportDeclaration.count') do
      post :create, :import_declaration => { }
    end

    assert_redirected_to import_declaration_path(assigns(:import_declaration))
  end

  def test_should_show_import_declaration
    get :show, :id => import_declarations(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => import_declarations(:one).id
    assert_response :success
  end

  def test_should_update_import_declaration
    put :update, :id => import_declarations(:one).id, :import_declaration => { }
    assert_redirected_to import_declaration_path(assigns(:import_declaration))
  end

  def test_should_destroy_import_declaration
    assert_difference('ImportDeclaration.count', -1) do
      delete :destroy, :id => import_declarations(:one).id
    end

    assert_redirected_to import_declarations_path
  end
end
