require File.dirname(__FILE__) + '/../test_helper'

class OurBranchesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:our_branches)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_our_branch
    assert_difference('OurBranch.count') do
      post :create, :our_branch => { }
    end

    assert_redirected_to our_branch_path(assigns(:our_branch))
  end

  def test_should_show_our_branch
    get :show, :id => our_branches(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => our_branches(:one).id
    assert_response :success
  end

  def test_should_update_our_branch
    put :update, :id => our_branches(:one).id, :our_branch => { }
    assert_redirected_to our_branch_path(assigns(:our_branch))
  end

  def test_should_destroy_our_branch
    assert_difference('OurBranch.count', -1) do
      delete :destroy, :id => our_branches(:one).id
    end

    assert_redirected_to our_branches_path
  end
end
