require File.dirname(__FILE__) + '/../test_helper'

class OurContactsControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:our_contacts)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_our_contact
    assert_difference('OurContact.count') do
      post :create, :our_contact => { }
    end

    assert_redirected_to our_contact_path(assigns(:our_contact))
  end

  def test_should_show_our_contact
    get :show, :id => our_contacts(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => our_contacts(:one).id
    assert_response :success
  end

  def test_should_update_our_contact
    put :update, :id => our_contacts(:one).id, :our_contact => { }
    assert_redirected_to our_contact_path(assigns(:our_contact))
  end

  def test_should_destroy_our_contact
    assert_difference('OurContact.count', -1) do
      delete :destroy, :id => our_contacts(:one).id
    end

    assert_redirected_to our_contacts_path
  end
end
