require File.dirname(__FILE__) + '/../test_helper'

class ReportingTitlesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:reporting_titles)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_reporting_title
    assert_difference('ReportingTitle.count') do
      post :create, :reporting_title => { }
    end

    assert_redirected_to reporting_title_path(assigns(:reporting_title))
  end

  def test_should_show_reporting_title
    get :show, :id => reporting_titles(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => reporting_titles(:one).id
    assert_response :success
  end

  def test_should_update_reporting_title
    put :update, :id => reporting_titles(:one).id, :reporting_title => { }
    assert_redirected_to reporting_title_path(assigns(:reporting_title))
  end

  def test_should_destroy_reporting_title
    assert_difference('ReportingTitle.count', -1) do
      delete :destroy, :id => reporting_titles(:one).id
    end

    assert_redirected_to reporting_titles_path
  end
end
