
# -*- encoding:utf-8 -*-
# 経理システム (仮)
# Copyright (C) 2007-2008 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/

# This program is provided under the terms of the Common Public License
# ("Agreement"). Any use, reproduction or distribution of this program
# constitutes recipient's acceptance of the Agreement.
# See the Agreement for more details.
# http://www.ibm.com/developerworks/opensource/library/os-beehive/os-cpl.html




# 添付ファイルをアップロードする。
module UploadModule
  # エントリを削除する
  def destroy_attach
    prev = params[:prev]
    AttachFile.transaction {
      file = AttachFile.find(params[:id])
      AttachFileRef.delete_all ['attach_file_id = ?', file.id]
      file.destroy
    }
    flash[:notice] = "添付ファイルを削除しました。"
    redirect_to :action => 'show', :id => prev
  end
end
