class BankAccount < ActiveRecord::Base
  belongs_to :bank_branch
  belongs_to :partner
  
  ACTYPE_NAMES = {1 => '普通', 2 => '当座', 9 => '貯蓄'}
  
  validates_uniqueness_of :zaimu_ac

  # 口座名義まで
  def format_long
    branch = bank_branch
    return "#{branch.bank.name} #{branch.name} (#{BankAccount::ACTYPE_NAMES[ac_type]}) #{ac_number} #{kana_name}"
  end
end
