
class BankBranch < ActiveRecord::Base
  belongs_to :bank
  
  def self.find_by_code(bank_code, branch_code)
    raise TypeError if !bank_code.is_a?(Integer)
    raise TypeError if !branch_code.is_a?(Integer)
    find(:first, :conditions => ['bank_id = ? AND branch_code = ?', bank_code, branch_code])
  end
end
