
-- 顧客に対する請求書の明細
CREATE TABLE si_details (
  id               serial PRIMARY KEY,
  sales_invoice_id int NOT NULL REFERENCES sales_invoices (id),

  line_no          int NOT NULL,  -- 行番号。1開始
  -- account_title_id int NOT NULL REFERENCES account_titles (id),
  -- division_id      int NOT NULL REFERENCES divisions (id),
  unit_price       int,            -- 単価 (参考)
  qty              int,            -- 数量 (参考)
  unit             VARCHAR(10),    -- 単位 (参考)。とりあえず文字列で。
  amount           int NOT NULL,   -- 金額 (必須)
  vat_code         int NOT NULL,   -- 10=税込5%, 20=税抜き5%, 30=非課税
  description      VARCHAR(200) NOT NULL,
  UNIQUE (sales_invoice_id, line_no)
);
