-- 社員
CREATE TABLE users (
  id            serial PRIMARY KEY,
  worker_code   int NOT NULL UNIQUE,  -- 社員コード。変わることがある。
  name          VARCHAR(40) NOT NULL,
  kana_name     VARCHAR(40) NOT NULL,
  active        int NOT NULL,  -- 1でアクティブ

  -- ログインする人のみ設定
  login            VARCHAR(40) UNIQUE,
  email            VARCHAR(40) UNIQUE,
  crypted_password VARCHAR(40),
  salt             VARCHAR(40),
  remember_token            VARCHAR(40),
  remember_token_expires_at TIMESTAMP,

  created_at  TIMESTAMP NOT NULL,
  updated_at  TIMESTAMP
);
