

def create_kubun
  kubun = Kubun.new(:name => "estimate")
  kubun.save!
end

def import_action_and_yosan
  ['jigyouhi_yosan.csv', 'kyuuyo.csv', 'lease.csv'].each {|filename|
    data = sjis2utf8(File.read(filename))

  GeneralLedger.transaction {
    kubun = Kubun.find(:first, :conditions => ["name = ?", "estimate"])
    raise if !kubun

    idx = 0
    days = []
    CSV::Reader.parse(data) {|line|
      idx += 1
      if idx == 1
        days = (0..5).collect {|i| line[16 + i]}
        next
      end

      wa = WorkAction.new(:name => line[0] || "")
      wa.save!

      div = find_division_by_code line[4]
      raise "div = #{line[4]}" if !div
      (0..5).each {|i|
        gl = GeneralLedger.new(
                 :date => days[i],
                 :kubun_id => kubun.id,
                 :division => div,
                 :account_title => find_account_title(line[7].to_i, line[8].to_i),
                 :work_action => wa,
                 :amount => (line[16 + i].to_f + 0.5).to_i * 1000,
                 :remarks => line[0] || "")
        gl.save!
      }
    }
  }
  }
end

