require File.dirname(__FILE__) + '/../test_helper'

class AccountTitleTreesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:account_title_trees)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_account_title_tree
    assert_difference('AccountTitleTree.count') do
      post :create, :account_title_tree => { }
    end

    assert_redirected_to account_title_tree_path(assigns(:account_title_tree))
  end

  def test_should_show_account_title_tree
    get :show, :id => account_title_trees(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => account_title_trees(:one).id
    assert_response :success
  end

  def test_should_update_account_title_tree
    put :update, :id => account_title_trees(:one).id, :account_title_tree => { }
    assert_redirected_to account_title_tree_path(assigns(:account_title_tree))
  end

  def test_should_destroy_account_title_tree
    assert_difference('AccountTitleTree.count', -1) do
      delete :destroy, :id => account_title_trees(:one).id
    end

    assert_redirected_to account_title_trees_path
  end
end
